/***************************************************************
 * Name:      reportdialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef REPORTDIALOG_H
#define REPORTDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "gui/navigation/tree.h"
#include <wx/datectrl.h>
#include <wx/dateevt.h>

class ReportDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(ReportDialog)
    DECLARE_EVENT_TABLE()
public:
    ReportDialog() {}
    ReportDialog(wxWindow *parent, bool csv);
    ReportDialog(wxWindow *parent, int id, bool csv);
private:
    wxBoxSizer *m_mainSizer;
    Tree *m_tasks;
    wxStaticText *m_subtaskLabel;
    wxCheckBox *m_subtask;
    wxCheckBox *m_detailed;
    wxDatePickerCtrl *m_start;
    wxDatePickerCtrl *m_end;
    bool m_csv;

    void createControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnTasksChanged(wxTreeEvent& event);
    void OnDate(wxDateEvent& event);
    void createCsv();
    void createHtml();
};

#endif  /* REPORTDIALOG_H */

