/***************************************************************
 * Name:      taskdialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef TASKDIALOG_H
#define TASKDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "gui/navigation/tree.h"

class TaskDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(TaskDialog)
    DECLARE_EVENT_TABLE()
public:
    TaskDialog() {}
    /*New task*/
    TaskDialog(wxWindow *parent);
    /*New task from tree right-click*/
    TaskDialog(wxWindow *parent, int parentid);
    /*Edit task*/
    TaskDialog(int taskid, wxWindow *parent);
private:
    wxTextCtrl *m_nameCtrl, *m_descriptionCtrl;
    wxBoxSizer *m_mainSizer;
    Tree *m_tasks;
    bool m_editing;
    int m_taskid;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
};

#endif  /* TASKDIALOG_H */

