/***************************************************************
 * Name:      tree.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef TREE_H
#define TREE_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/treectrl.h>
#include "dxdefs.h"

class IdItemData : public wxTreeItemData
{
public:
    IdItemData(int id) : m_id(id) {}
    ~IdItemData() {}

    int id() const { return m_id; }
private:
    int m_id;
};

class Tree : public wxTreeCtrl
{
public:
    Tree(wxWindow *parent, wxWindowID id);

    void updateData();
    void selectID(int id);
    wxArrayInt childsID(int id);
private:
    wxTreeItemId getItem(const wxString &tree);
    wxTreeItemId getItem(int id);
};

#endif  /* TREE_H */

