/***************************************************************
 * Name:      task.cpp
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#include "task.h"

Task::Task(int id, const wxString& name, const wxString& description, const wxString& tree)
    : m_id(id), m_name(name), m_description(description), m_tree(tree)
{
}

bool Task::isValid() const
{
    return m_id != -1;
}

int Task::id() const
{
    return m_id;
}

void Task::setId(int id)
{
    m_id = id;
}

wxString Task::name() const
{
    return m_name;
}

void Task::setName(const wxString &name)
{
    m_name = name;
}

wxString Task::description() const
{
    return m_description;
}

void Task::setDescription(const wxString &description)
{
    m_description = description;
}

wxString Task::tree() const
{
    return m_tree;
}

void Task::setTree(const wxString &tree)
{
    m_tree = tree;
}

