/***************************************************************
 * Name:      task.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef TASK_H
#define TASK_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Task {
public:
    Task() : m_id(-1) {}
    Task(int id, const wxString &name, const wxString &description, const wxString &tree);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString name() const;
    void setName(const wxString &name);
    wxString description() const;
    void setDescription(const wxString &description);
    wxString tree() const;
    void setTree(const wxString &tree);
private:
    int m_id;
    wxString m_name;
    wxString m_description;
    wxString m_tree;
};

#endif  /* TASK_H */

