/***************************************************************
 * Name:      time.cpp
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#include "time.h"

Time::Time(int id, const wxDateTime& start, const wxDateTime& end, int taskid)
    : m_id(id), m_start(start), m_end(end), m_taskid(taskid)
{
}

bool Time::isValid() const
{
    return m_id != -1;
}

int Time::id() const
{
    return m_id;
}

void Time::setId(int id)
{
    m_id = id;
}

wxDateTime Time::start() const
{
    return m_start;
}

void Time::setStart(const wxDateTime &start)
{
    m_start = start;
}

wxDateTime Time::end() const
{
    return m_end;
}

void Time::setEnd(const wxDateTime &end)
{
    m_end = end;
}

int Time::taskid() const
{
    return m_taskid;
}

void Time::setTaskid(int taskid)
{
    m_taskid = taskid;
}

