/***************************************************************
 * Name:      time.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef TIME_H
#define TIME_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Time {
public:
    Time() : m_id(-1) {}
    Time(int id, const wxDateTime &start, const wxDateTime &end, int taskid);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxDateTime start() const;
    void setStart(const wxDateTime &start);
    wxDateTime end() const;
    void setEnd(const wxDateTime &end);
    int taskid() const;
    void setTaskid(int taskid);
private:
    int m_id;
    wxDateTime m_start;
    wxDateTime m_end;
    int m_taskid;
};

#endif  /* TIME_H */

