/***************************************************************
 * Name:      settings.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef SETTINGS_H
#define SETTINGS_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "dxdefs.h"

#define settings Settings::instance()

class Settings
{
public:
    Settings();
    Settings(const Settings &s);
    ~Settings();

    static Settings &instance();
    void load();
    void save();

    int x() const;
    void setX(int x);
    int y() const;
    void setY(int y);
    int w() const;
    void setW(int w);
    int h() const;
    void setH(int h);
    bool maximized() const;
    void setMaximized(bool maximized);
    wxString dbname() const;
    void setDbname(const wxString &dbname);
    wxString auiperspective() const;
    void setAuiperspective(const wxString &auiperspective);
    bool showSubtasks() const;
    void setShowSubtasks(bool showSubtasks);
private:
    //GUI values
    int m_x;
    int m_y;
    int m_w;
    int m_h;
    bool m_maximized;
    wxString m_auiperspective;
    bool m_showSubtasks;
    //DB values
    wxString m_dbname;
};

#endif /* SETTINGS_H */
